epp_DomainRenewReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.domain.epp_DomainRenewReq class

### org.openrtk.idl.epp0503.domain

# Class epp_DomainRenewReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.domain.epp_DomainRenewReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainRenewReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to renew a domain in the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/domain/epp_DomainRenewReq.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `EPPDomainRenew`, `epp_DomainRenewRsp`

  ## Field Summary
  `epp_Command` | `m_cmd` The common and generic command element.
  `String` | `m_current_expiration_date` The current expiration date associated with the domain object.
  `String` | `m_name` The name of the domain object to be renewed in the registry.
  `epp_DomainPeriod` | `m_period` The number of units to be added to the registration period of the domain object.

  ## Constructor Summary
  `epp_DomainRenewReq()` Empty constructor
  `epp_DomainRenewReq(epp_Command _m_cmd, String _m_name, String _m_current_expiration_date, epp_DomainPeriod _m_period)` The constructor with initializing variables.

  ## Method Summary
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String` | `getCurrentExpirationDate()` Accessor method for the current expiration date associated with the domain object
  `String` | `getName()` Accessor method for the name of the domain object to be renewed in the registry
  `epp_DomainPeriod` | `getPeriod()` Accessor method for the number of units to be added to the registration period of the domain object
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setCurrentExpirationDate(String value)` Accessor method for the current expiration date associated with the domain object
  `void` | `setName(String value)` Accessor method for the name of the domain object to be renewed in the registry
  `void` | `setPeriod(epp_DomainPeriod value)` Accessor method for the number of units to be added to the registration period of the domain object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_current_expiration_date

    public String m_current_expiration_date

> The current expiration date associated with the domain object.
> See Also:
>   `setCurrentExpirationDate(String)`, `getCurrentExpirationDate()`

### m_name

    public String m_name

> The name of the domain object to be renewed in the registry.
> See Also:
>   `setName(String)`, `getName()`

### m_period

    public epp_DomainPeriod m_period

> The number of units to be added to the registration period of the domain object.
> See Also:
>   `setPeriod(epp_DomainPeriod)`, `getPeriod()`

## Constructor Details

### epp_DomainRenewReq

    public epp_DomainRenewReq()

> Empty constructor

### epp_DomainRenewReq

    public epp_DomainRenewReq(epp_Command _m_cmd,
                              String _m_name,
                              String _m_current_expiration_date,
                              epp_DomainPeriod _m_period)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_name` - The name of the domain object to be renewed in the registry
>   `_m_current_expiration_date` - The current expiration date associated with the domain object
>   `_m_period` - The number of units to be added to the registration period of the domain object

## Method Details

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getCurrentExpirationDate

    public String getCurrentExpirationDate()

> Accessor method for the current expiration date associated with the domain object
> Returns:
>   The domain current expiration date
> See Also:
>   `m_current_expiration_date`

### getName

    public String getName()

> Accessor method for the name of the domain object to be renewed in the registry
> Returns:
>   The domain name
> See Also:
>   `m_name`

### getPeriod

    public epp_DomainPeriod getPeriod()

> Accessor method for the number of units to be added to the registration period of the domain object
> Returns:
>   The domain period
> See Also:
>   `m_period`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setCurrentExpirationDate

    public void setCurrentExpirationDate(String value)

> Accessor method for the current expiration date associated with the domain object
> Parameters:
>   `value` - The domain current expiration date
> See Also:
>   `m_current_expiration_date`

### setName

    public void setName(String value)

> Accessor method for the name of the domain object to be renewed in the registry
> Parameters:
>   `value` - The domain name
> See Also:
>   `m_name`

### setPeriod

    public void setPeriod(epp_DomainPeriod value)

> Accessor method for the number of units to be added to the registration period of the domain object
> Parameters:
>   `value` - The domain period
> See Also:
>   `m_period`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS